//
//  ViewController.m
//  PTCutImage
//
//  Created by mac on 2020/5/29.
//  Copyright © 2020 MB. All rights reserved.
//

#import "ViewController.h"
#import "PTCutImageViewController.h"

#define kScreenWidth [UIScreen mainScreen].bounds.size.width
#define kScreenHeight [UIScreen mainScreen].bounds.size.height

@interface ViewController ()

@property (nonatomic, strong) UIImageView *mainImgView;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.view.backgroundColor = [UIColor grayColor];
    
    [self bulidUI];
}

- (void)bulidUI{
    
    NSArray *imgArr = @[@"1.jpg", @"2.jpg", @"3.jpg"];
    for (int i = 0; i < imgArr.count; i++) {
        
        UIImageView *imgView = [[UIImageView alloc] initWithFrame:CGRectMake(10 + i*90, 120, 80, 80)];
        imgView.contentMode = UIViewContentModeScaleAspectFit;
        imgView.image = [UIImage imageNamed:imgArr[i]];
        imgView.userInteractionEnabled = YES;
        [imgView addGestureRecognizer:[[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(changeAction:)]];
        [self.view addSubview:imgView];
    }
    
    self.mainImgView = [[UIImageView alloc] initWithFrame:CGRectMake(10, 250, kScreenWidth - 20, kScreenWidth - 20)];
    self.mainImgView.contentMode = UIViewContentModeScaleAspectFit;
    self.mainImgView.image = [UIImage imageNamed:imgArr[0]];
    self.mainImgView.userInteractionEnabled = YES;
    [self.mainImgView addGestureRecognizer:[[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(mainTapAction:)]];
    [self.view addSubview:self.mainImgView];
}

// 切换主图
- (void)changeAction:(UIGestureRecognizer *)ges{
    
    UIImageView *tempImgView = (UIImageView *)ges.view;
    self.mainImgView.image = tempImgView.image;
}

// 点击主图去裁切
- (void)mainTapAction:(UIGestureRecognizer *)ges{
    
    __weak typeof(self) weakself = self;
    PTCutImageViewController *vc = [[PTCutImageViewController alloc] init];
    vc.cutImg = [(UIImageView *)ges.view image];
    vc.blockFinish = ^(UIImage * _Nonnull img) {
        
        weakself.mainImgView.image = img;
    };
    [self.navigationController pushViewController:vc animated:YES];
}

@end
